Subject: [AVT] profile-level-id definition

From: "Steve DeLaney" <[email-masked]>
Date: Thu, 14 May 2009 22:47:19 -0700

Hello, 

we are trying to better understand the definition of profile-level-id under
RFC3984 section 8.1 Having browsed the archive threads including "SDP
Negotiation based on Profile-Level-Id", I was hoping to get some
clarification on this to break down the encoding for profile and level.

we are integrating a codec which, when encoding at 1080P60, expresses
profile-level-id=42001E as a hardcoded value.
to break this down 

profile_idc 42 is MAIN profile ?
level_idc 1E is level 3.0 ?

and finally, assuming profiles and levels are authoritatively defined in
14496-10, what section?

Thank you for your help.
/steverino2

---

From: Roni Even <[email-masked]>
Date: Fri, 15 May 2009 10:07:07 +0300

Hi,
The profile and level are defined in H.264 annex A. There you can see the
definition for profile_idc and level_idc
Roni Even

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Steve
DeLaney
Sent: Friday, May 15, 2009 8:47 AM
To: [email-masked]
Subject: [AVT] profile-level-id definition

Hello, 

Thank you for your help.
/steverino2

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: David Singer <[email-masked]>
Date: Fri, 15 May 2009 15:41:19 +0800

>definition for profile_idc and level_idc

and the middle byte is, I believe, the byte containing the 
constraint_set flags.

-- 
David Singer
Multimedia Standards, Apple Inc.

---

From: Thomas Wiegand <[email-masked]>
Date: Fri, 15 May 2009 10:11:51 +0200

And you need all three for proper signalling of all profiles and levels:

profile_idc
constraint_setX_flags
level_idc

Best regards,
Thomas

>> and finally, assuming profiles and levels are authoritatively  

---
Visit us at

ANGACable 2009 / May 26-28 / Cologne, Germay / Hall 10.2, Booth K15
http://www.angacable.com

---

From: Randell Jesup <[email-masked]>
Date: Fri, 15 May 2009 08:29:55 -0400

>level_idc 1E is level 3.0 ?

Others answered what those are.

Note: Level 3.0 DOES NOT support the resolution you're using.  See
http://en.wikipedia.org/wiki/H.264#Levels

3.0 supports a max of 720x480@30 (or just over 60fps at 352x480).  You need
level 4.2 or above, OR with 3.0 you need to advertise that you do both a
larger number of macroblocks/frame, and larger number of macroblocks/second
(max-fs and max-mbps if I remember).

Also, read the sections (in 3984bis - the draft about to replace 3984)
about level negotiation.  Profile and constraints are fixed; level has some
negotiation possible.  

-- 
Randell Jesup, Worldgate (developers of the Ojo videophone), ex-Amiga OS team
[email-masked]
"The fetters imposed on liberty at home have ever been forged out of the weapons
provided for defence against real, pretended, or imaginary dangers from abroad."
		- James Madison, 4th US president (1751-1836)

---

From: Ye-Kui Wang <[email-masked]>
Date: Fri, 15 May 2009 10:31:37 -0400

> >profile_idc 42 is MAIN profile ?

profile_idc 42 (hex) indicates the Baseline Profile. 

BR, YK 

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Randell Jesup
> Sent: Friday, May 15, 2009 8:30 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [AVT] profile-level-id definition
> 
> >we are trying to better understand the definition of 
> profile-level-id 
> >under
> Note: Level 3.0 DOES NOT support the resolution you're using. 
>  See http://en.wikipedia.org/wiki/H.264#Levels
> 
> 3.0 supports a max of 720x480@30 (or just over 60fps at 
> 352x480).  You need level 4.2 or above, OR with 3.0 you need 
> to advertise that you do both a larger number of 
> macroblocks/frame, and larger number of macroblocks/second 
> Also, read the sections (in 3984bis - the draft about to 
> replace 3984) about level negotiation.  Profile and 
> constraints are fixed; level has some negotiation possible.  
> 
> --
> Randell Jesup, Worldgate (developers of the Ojo videophone), 
> ex-Amiga OS team [email-masked] "The fetters imposed on 
> liberty at home have ever been forged out of the weapons